$schema: "https://json-schema.org/draft/2020-12/schema"

title: "PGx interpretation format"
description: "PGx interpretation format"
type: "object"

additionalProperties: false

properties:
  _version:
    $ref: "../../core.json#/definitions/Version"
  findings:
    $ref: "#/definitions/PGxInterpretations"
  sample_limitations:
    type: array
    items:
      type: string

definitions:
  PGxInterpretations:
    type: object
    properties:
      pgx_findings:
        type: array
        items:
          type: object
          $ref: "../../structs.json#/definitions/PGxFinding"
      drug_guidance:
        type: array
        items:
          type: object
          $ref: "../../structs.json#/definitions/PGxDrugGuidance"

